; ### Marlin K-Factor Calibration Pattern ###
; -------------------------------------------
; Generated from https://marlinfw.org/tools/lin_advance/k-factor.html
; Ref: https://marlinfw.org/docs/features/lin_advance.html
; Ref: https://help.prusa3d.com/en/article/linear-advance_2252/
;
; Printer: PrusaMK3S
; Filament: PETG
; Created: Sat May 09 2020 20:56:51 GMT-0700 (Pacific Daylight Time)
;
; Settings Printer:
; Filament Diameter = 1.75 mm
; Nozzle Diameter = 0.4 mm
; Nozzle Temperature = 230 °C
; Bed Temperature = 50 °C
; Retraction Distance = 5 mm
; Layer Height = 0.2 mm
; Z-axis Offset = 0 mm
;
; Settings Print Bed:
; Bed Shape = Rect
; Bed Size X = 250 mm
; Bed Size Y = 210 mm
; Origin Bed Center = false
;
; Settings Speed:
; Slow Printing Speed = 600 mm/min
; Fast Printing Speed = 2400 mm/min
; Movement Speed = 7200 mm/min
; Retract Speed = 3600 mm/min
; Printing Acceleration = 1000 mm/s^2
; Jerk X-axis = 8
; Jerk Y-axis = 8
; Jerk Z-axis = 0.4
; Jerk Extruder = 3
;
; Settings Pattern:
; Linear Advance Version = 1.5
; Starting Value Factor = 1
; Ending Value Factor = 3
; Factor Stepping = 0.1
; Test Line Spacing = 5 mm
; Test Line Length Slow = 20 mm
; Test Line Length Fast = 60 mm
; Print Pattern = Standard
; Print Frame = false
; Number Lines = false
; Print Size X = 100 mm
; Print Size Y = 125 mm
; Print Rotation = 0 degree
;
; Settings Advance:
; Nozzle / Line Ratio = 1.1
; Bed leveling = 0
; Use FWRETRACT = false
; Extrusion Multiplier = 1
; Prime Nozzle = false
; Prime Extrusion Multiplier = 2.5
; Prime Speed = 1800
; Dwell Time = 2 s
;
; prepare printing
;
M107
G90 ; absolute coordinate mode
M83 ; extruder relative mode
M140 S50 ; set bed temp
M190 S50 ; wait for bed temp
M104 S230 ; set initial temp
G28 W ; home all without mesh bed level
M860 S35 ; wait until PINDA is >= 35C
M109 S250 ; wait for extruder temp
G80 ; mesh bed leveling
G81 ; print mesh results
G1 Y-3.0 F1000.0 ; go outside print area
M106 S50 ; turn on fan
G92 E0.0
G1 X60.0 E28.0  F1000.0 ; intro line
G1 X100.0 E8.0  F1000.0 ; intro line
G92 E0.0

G21 ; Millimeter units
G90 ; Absolute XYZ
M83 ; Relative E
M204 P1000 ; Acceleration
M205 X8 ; X Jerk
M205 Y8 ; Y Jerk
M205 Z0.4 ; Z Jerk
M205 E3 ; E Jerk
G92 E0 ; Reset extruder distance
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop

;
; print anchor frame
;
G1 X75 Y39.5 F7200 ; move to start
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X75 Y145.5 E4.2659 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75.44 Y145.5 F7200 ; move to start
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X75.44 Y39.5 E4.2659 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X175 Y39.5 F7200 ; move to start
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X175 Y145.5 E4.2659 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X174.56 Y145.5 F7200 ; move to start
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X174.56 Y39.5 E4.2659 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
;
; start the Test pattern
;
G1 X75 Y42.5 F7200 ; move to start
M900 K0 ; set K-factor
M117 K0 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y42.5 E0.7317 F600 ; print line
G1 X155 Y42.5 E2.1952 F2400 ; print line
G1 X175 Y42.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y47.5 F7200 ; move to start
M900 K0.1 ; set K-factor
M117 K0.1 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y47.5 E0.7317 F600 ; print line
G1 X155 Y47.5 E2.1952 F2400 ; print line
G1 X175 Y47.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y52.5 F7200 ; move to start
M900 K0.2 ; set K-factor
M117 K0.2 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y52.5 E0.7317 F600 ; print line
G1 X155 Y52.5 E2.1952 F2400 ; print line
G1 X175 Y52.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y57.5 F7200 ; move to start
M900 K0.3 ; set K-factor
M117 K0.3 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y57.5 E0.7317 F600 ; print line
G1 X155 Y57.5 E2.1952 F2400 ; print line
G1 X175 Y57.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y62.5 F7200 ; move to start
M900 K0.4 ; set K-factor
M117 K0.4 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y62.5 E0.7317 F600 ; print line
G1 X155 Y62.5 E2.1952 F2400 ; print line
G1 X175 Y62.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y67.5 F7200 ; move to start
M900 K0.5 ; set K-factor
M117 K0.5 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y67.5 E0.7317 F600 ; print line
G1 X155 Y67.5 E2.1952 F2400 ; print line
G1 X175 Y67.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y72.5 F7200 ; move to start
M900 K0.6 ; set K-factor
M117 K0.6 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y72.5 E0.7317 F600 ; print line
G1 X155 Y72.5 E2.1952 F2400 ; print line
G1 X175 Y72.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y77.5 F7200 ; move to start
M900 K0.7 ; set K-factor
M117 K0.7 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y77.5 E0.7317 F600 ; print line
G1 X155 Y77.5 E2.1952 F2400 ; print line
G1 X175 Y77.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y82.5 F7200 ; move to start
M900 K0.8 ; set K-factor
M117 K0.8 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y82.5 E0.7317 F600 ; print line
G1 X155 Y82.5 E2.1952 F2400 ; print line
G1 X175 Y82.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y87.5 F7200 ; move to start
M900 K0.9 ; set K-factor
M117 K0.9 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y87.5 E0.7317 F600 ; print line
G1 X155 Y87.5 E2.1952 F2400 ; print line
G1 X175 Y87.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y92.5 F7200 ; move to start
M900 K1 ; set K-factor
M117 K1 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y92.5 E0.7317 F600 ; print line
G1 X155 Y92.5 E2.1952 F2400 ; print line
G1 X175 Y92.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y97.5 F7200 ; move to start
M900 K1.1 ; set K-factor
M117 K1.1 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y97.5 E0.7317 F600 ; print line
G1 X155 Y97.5 E2.1952 F2400 ; print line
G1 X175 Y97.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y102.5 F7200 ; move to start
M900 K1.2 ; set K-factor
M117 K1.2 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y102.5 E0.7317 F600 ; print line
G1 X155 Y102.5 E2.1952 F2400 ; print line
G1 X175 Y102.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y107.5 F7200 ; move to start
M900 K1.3 ; set K-factor
M117 K1.3 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y107.5 E0.7317 F600 ; print line
G1 X155 Y107.5 E2.1952 F2400 ; print line
G1 X175 Y107.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y112.5 F7200 ; move to start
M900 K1.4 ; set K-factor
M117 K1.4 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y112.5 E0.7317 F600 ; print line
G1 X155 Y112.5 E2.1952 F2400 ; print line
G1 X175 Y112.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y117.5 F7200 ; move to start
M900 K1.5 ; set K-factor
M117 K1.5 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y117.5 E0.7317 F600 ; print line
G1 X155 Y117.5 E2.1952 F2400 ; print line
G1 X175 Y117.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y122.5 F7200 ; move to start
M900 K1.6 ; set K-factor
M117 K1.6 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y122.5 E0.7317 F600 ; print line
G1 X155 Y122.5 E2.1952 F2400 ; print line
G1 X175 Y122.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y127.5 F7200 ; move to start
M900 K1.7 ; set K-factor
M117 K1.7 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y127.5 E0.7317 F600 ; print line
G1 X155 Y127.5 E2.1952 F2400 ; print line
G1 X175 Y127.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y132.5 F7200 ; move to start
M900 K1.8 ; set K-factor
M117 K1.8 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y132.5 E0.7317 F600 ; print line
G1 X155 Y132.5 E2.1952 F2400 ; print line
G1 X175 Y132.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y137.5 F7200 ; move to start
M900 K1.9 ; set K-factor
M117 K1.9 ; 
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y137.5 E0.7317 F600 ; print line
G1 X155 Y137.5 E2.1952 F2400 ; print line
G1 X175 Y137.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X75 Y142.5 F7200 ; move to start
;
; Mark the test area for reference
M117 K0
M900 K0 ; Set K-factor 0
G1 X95 Y147.5 F7200 ; move to start
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X95 Y167.5 E0.7317 F600 ; print line
G1 E-5 F3600 ; retract
G1 Z0.8 F1200 ; Z hop
G1 X155 Y147.5 F7200 ; move to start
G1 Z0.2 F1200 ; Z unhop
G1 E5 F3600 ; un-retract
G1 X155 Y167.5 E0.7317 F600 ; print line
;
; FINISH
;

G4 ; wait
M221 S100
M104 S0 ; turn off extruder
M140 S0 ; turn off heatbed
G1 Z30 E-20 ; Move print head up and retract
G0 X0 Y210 F6000; home axis
M84 ; disable motors
M104 S0 ; turn off extruder
M107 ; turn off fan